| Liveness Engine SDK Liveness detection engine.

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Enumerations Enumerator Groups Pages
Public Member Functions | List of all members
lsdk::IUnifiedLiveness Struct Referenceabstract
Liveness detection.

Unified liveness detector interface. This liveness type includes previous types and performs all calculation in one session. It performs tracking of value of type used on the creation stage, besides it also tracks remaining measurements in order to identify fraud attempt. More...

`#include <ILiveness.h>`

Inheritance diagram for lsdk::IUnifiedLiveness:

## Public Member Functions
virtual void | consider (uint32_t flags) noexcept=0
| Sets liveness types to take into consideration. More...
virtual int | getBlinkCounter () noexcept=0
| Gets blink stats. More...
Public Member Functions inherited from lsdk::ILiveness
virtual void | reset () noexcept=0
| Reset liveness state to initial condition. More...
virtual fsdk::ResultValue < LSDKError, bool > | update (fsdk::Image &image) noexcept=0
| Update liveness state according to image data. More...
virtual void | runAfter (ILiveness *other) noexcept=0
| Configure this liveness with tracking state from other liveness. More...
virtual bool | getDetection (fsdk::Detection *detection) noexcept=0
| Get fsdk::Detection retrieved from last image. More...
virtual bool | getWarp (fsdk::Image *image) noexcept=0
| Get face warp retrieved from last image. More...
virtual bool | getLandmarks68 (fsdk::Landmarks68 *landmarks68) noexcept=0
| Get 68 facial landmarks extracted from detection from last image. More...
virtual bool | getLandmarks5 (fsdk::Landmarks5 *landmarks5) noexcept=0
| Get 5 facial landmarks extracted from detection from last image. More...
virtual bool | getIrisLandmarks (fsdk::Landmarks< 32 > *irisLandmarks) noexcept=0
| Get 32 iris landmarks extracted from detection from last image. More...
virtual bool | getAngles (Angles *angles) noexcept=0
| Get face angles . More...
virtual bool | getScores (Scores *scores) noexcept=0
| Get face angles . More...
virtual bool | getEyestates (EyeStates *eyeStates) noexcept=0
| Get face angles . More...
virtual fsdk::Result< LSDKError > | loadSettings (fsdk::ISettingsProvider *provider) noexcept=0
| Restore all apropriate settings from given prodvider. More...

## Detailed Description

Unified liveness detector interface. This liveness type includes previous types and performs all calculation in one session. It performs tracking of value of type used on the creation stage, besides it also tracks remaining measurements in order to identify fraud attempt.

Note
  LA_ZOOM, LA_INFRARED type is not used.

## Member Function Documentation

virtual void lsdk::IUnifiedLiveness::consider | ( | uint32_t | flags | ) |
| pure virtual noexcept

Sets liveness types to take into consideration.

Parameters

  flags | uint32_t bit field.

Note
  bit value (1/0) enables/disables tracking, bit position corresponds to the type of liveness to consider according to scheme: |LA_COUNT|...|LA_EYEBROW|LA_MOUTH|...|LA_PITCH_UP|LA_PITCH_DOWN| | 9| | 6| | | 1| 0|
  By default all trackings are enabled;
  LA_COUNT bit enables all trackings;
  LA_PITCH_UP, LA_PITCH_DOWN, LA_YAW_LEFT, LA_YAW_RIGHT enable face angles tracking;
  Composition function is provided for convenience,

See Also
  field() for more information.

virtual int lsdk::IUnifiedLiveness::getBlinkCounter | ( |  | ) |
| pure virtual noexcept

Gets blink stats.

Returns
  number of registered blinks.

The documentation for this struct was generated from the following file:

- /home/gitlab-runner/builds/1zDDKgvN/0/face-recognition/FaceEngine/extern/LivenessEngine/inc/ILiveness.h